package com.cmvr.edge.client.service;

import com.cmvr.edge.client.model.EdgeCommonVO;
import com.cmvr.edge.client.model.humanoid.EdgeMoveJVO;
import com.cmvr.edge.client.model.humanoid.EdgeSpeedJVO;

/**
 * 边缘系统机械臂服务
 */
public interface EdgeHumanoidRobotService {
    /**
     * 移动机械臂
     */
    public String moveJ(EdgeMoveJVO vo);

    /**
     * 获取关节状态
     */
    public String getJointState(EdgeCommonVO vo);

    /**
     * 旋转关节
     */
    public String speedJ(EdgeSpeedJVO vo);

    /**
     * 使能开
     */
    public String torqueOn(EdgeCommonVO vo);

    /**
     * 使能关
     */
    public String torqueOff(EdgeCommonVO vo);
}
